SystemOrganization addCategory: #'SourceCity-Core'!

Object subclass: #AbstractCityComponent
	instanceVariableNames: 'model widthSelector heightSelector width height color id'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Core'!

!AbstractCityComponent commentStamp: '<historical>' prior: 0!
I'm an abstract class root of the city elements!

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 5/21/2012 14:34'!
color
	^ color! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 5/21/2012 14:34'!
color: anObject
	color := anObject! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'StephaneDucasse 5/14/2012 10:27'!
height
	^height! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'StephaneDucasse 5/14/2012 10:27'!
height: anObject
	height := anObject.! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 4/5/2012 10:29'!
heightSelector
	^heightSelector! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 4/5/2012 10:28'!
heightSelector: anObject
	heightSelector := anObject.! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 5/21/2012 14:16'!
id
	^ id! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 5/21/2012 14:16'!
id: anObject
	id := anObject! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 5/21/2012 14:17'!
initialize
	id := 0.
	width := 0.5.
	height := 0.5.! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 4/2/2012 14:10'!
model 
	"Returns the model associated with the receiver, it can be a class, package...."
	
	^model! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 4/2/2012 14:10'!
model: aModel
	"Set the model associated with the receiver, it can be a class, package...."
	
	model := aModel! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'StephaneDucasse 5/14/2012 10:26'!
width
	^width! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'StephaneDucasse 5/14/2012 10:26'!
width: anObject
	width := anObject.! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 4/5/2012 10:28'!
widthSelector
	^widthSelector! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 4/5/2012 10:28'!
widthSelector: anObject
	widthSelector := anObject.! !

AbstractCityComponent subclass: #Building
	instanceVariableNames: 'district'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Core'!

!Building commentStamp: '<historical>' prior: 0!
A Building is the level abstraction.!

!Building class methodsFor: 'as yet unclassified' stamp: 'DouailleErwan 6/5/2012 13:02'!
forClass: aClassName inDistrict: aDistrict widthSelector: aWidthSelector heightSelector: aHeightSelector id: aValue colorMediumSelector: anObject colorHighSelector: anOtherObject colorLow: aLowColor colorHigh: aHighColor
	^ self new 
		model: aClassName 
		inDistrict: aDistrict 
		widthSelector: aWidthSelector 
		heightSelector: aHeightSelector 
		id: aValue 
		colorMediumSelector: anObject 
		colorHighSelector: anOtherObject 
		colorLow: aLowColor 
		colorHigh: aHighColor.
		! !

!Building class methodsFor: 'as yet unclassified' stamp: 'DouailleErwan 5/22/2012 15:55'!
forClass: aClassName inDistrict: aDistrict widthSelector: aWidthSelector heightSelector: aHeightSelector id: aValue colorMediumSelector: anObject colorHighSelector: anOtherObject colorLow: aLowColor colorMedium: aMediumColor colorHigh: aHighColor
	^ self new 
		model: aClassName 
		inDistrict: aDistrict 
		widthSelector: aWidthSelector 
		heightSelector: aHeightSelector 
		id: aValue 
		colorMediumSelector: anObject 
		colorHighSelector: anOtherObject 
		colorLow: aLowColor 
		colorMedium: aMediumColor 
		colorHigh: aHighColor.
		! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/5/2012 13:46'!
colorHighValue: aValue colorLow: aLowColor colorHigh: aHighColor
	| m h anObject aMediumColor |
	h := aValue.
	(self heightSelector asString = 'none')
	ifFalse: [
		h := (h perform: (self heightSelector))*2.
		].
	(self height > m)
	ifTrue: [
		(self height > h)
		ifTrue: [
			self color: aHighColor
			]
		ifFalse:[
			self color: aMediumColor
			].
		]
	ifFalse: [
			self color: aLowColor
			].
	
	! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/5/2012 13:00'!
colorMediumValue: anObject colorHighValue: anOtherObject colorLow: aLowColor colorHigh: aHighColor
	| m h aMediumColor |
	m := anObject.
	h := anOtherObject.
	(self heightSelector asString = 'none')
	ifFalse: [
		m := (m perform: (self heightSelector))*2.
		h := (h perform: (self heightSelector))*2.
		].
	(self height > m)
	ifTrue: [
		(self height > h)
		ifTrue: [
			self color: aHighColor
			]
		ifFalse:[
			self color: aMediumColor
			].
		]
	ifFalse: [
			self color: aLowColor
			].
	
	! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 5/22/2012 16:14'!
colorMediumValue: anObject colorHighValue: anOtherObject colorLow: aLowColor colorMedium: aMediumColor colorHigh: aHighColor
	| m h |
	m := anObject.
	h := anOtherObject.
	(self heightSelector asString = 'none')
	ifFalse: [
		m := (m perform: (self heightSelector))*2.
		h := (h perform: (self heightSelector))*2.
		].
	(self height > m)
	ifTrue: [
		(self height > h)
		ifTrue: [
			self color: aHighColor
			]
		ifFalse:[
			self color: aMediumColor
			].
		]
	ifFalse: [
			self color: aLowColor
			].
	
	! !

!Building methodsFor: 'accessing' stamp: 'StephaneDucasse 5/14/2012 13:30'!
district
	^district ! !

!Building methodsFor: 'accessing' stamp: 'StephaneDucasse 5/14/2012 13:30'!
district: aDistrict
	district := aDistrict.! !

!Building methodsFor: 'accessing' stamp: 'StephaneDucasse 5/14/2012 15:29'!
height
	(super height < 0.5)
	ifTrue: [^ 0.5].
	^ super height.! !

!Building methodsFor: 'accessing' stamp: 'StephaneDucasse 5/14/2012 15:27'!
heightSelector: anObject
	super heightSelector: anObject.
	(self heightSelector asString = 'none')
	ifTrue: [
		self height: (((1 + self model selectors size)) ).
		] 
	ifFalse: [
		self height: (((1 + self model selectors size) perform: (self heightSelector))*2).
		].! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/5/2012 12:58'!
model: aModel inDistrict: aDistrict widthSelector: aWidthSelector heightSelector: aHeightSelector id: aValue 

	model := aModel.
	district := aDistrict.
	self widthSelector: aWidthSelector.
	self heightSelector: aHeightSelector.
	self id: aValue.
	self colorMediumValue: 0 colorHighValue: 0 colorLow: (Color blue) colorHigh: (Color red).
	aDistrict add: self.
! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/5/2012 12:59'!
model: aModel inDistrict: aDistrict widthSelector: aWidthSelector heightSelector: aHeightSelector id: aValue colorMediumSelector: anObject colorHighSelector: anOtherObject colorLow: aLowColor colorHigh: aHighColor

	model := aModel.
	district := aDistrict.
	self widthSelector: aWidthSelector.
	self heightSelector: aHeightSelector.
	self id: aValue.
	self colorMediumValue: anObject colorHighValue: anOtherObject colorLow: aLowColor colorHigh: aHighColor.
	aDistrict add: self.
! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 5/15/2012 10:19'!
printOn: aStream

	district ifNotNil: [ aStream
					nextPutAll: district asString; 
					nextPutAll: ' -> '].
					
	model ifNotNil: [ aStream 
					nextPutAll: ' Buidling Name : '; 
					nextPutAll: model name].! !

!Building methodsFor: 'accessing' stamp: 'StephaneDucasse 5/14/2012 15:30'!
width
	(super width < 0.5)
	ifTrue: [^ 0.5].
	^ super width.! !

!Building methodsFor: 'accessing' stamp: 'StephaneDucasse 5/14/2012 15:24'!
widthSelector: anObject
	super widthSelector: anObject.
	(self widthSelector asString = 'none')
	ifTrue: [
		self width: (((1 + self model allInstVarNames size))).
		] 
	ifFalse: [
		self width: (((1 + self model allInstVarNames size) perform: (self widthSelector))*2).
		].
	! !

AbstractCityComponent subclass: #City
	instanceVariableNames: 'districts name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Core'!

!City commentStamp: '<historical>' prior: 0!
A City represents the largest model element. It contains a list of districts.!

!City class methodsFor: 'as yet unclassified' stamp: 'StephaneDucasse 5/14/2012 11:05'!
model: aName
	^ self new 
		model: aName;
		name: aName
		! !

!City methodsFor: 'adding' stamp: 'DouailleErwan 5/14/2012 16:31'!
add: aDistrict

	districts add: aDistrict.
	self width: (districts inject: 0 into: [ :sum :each | sum + each width.]).
	^ aDistrict! !

!City methodsFor: 'accessing' stamp: 'DouailleErwan 5/14/2012 16:40'!
defaultCityWidth: size
	^ (size)sqrt*20
						! !

!City methodsFor: 'accessing' stamp: 'DouailleErwan 4/2/2012 14:36'!
districts

	^ districts! !

!City methodsFor: 'accessing' stamp: 'DouailleErwan 4/3/2012 14:51'!
districts: anObject
	districts := anObject! !

!City methodsFor: 'testing' stamp: 'StephaneDucasse 5/14/2012 09:36'!
hasDistrictNamed: aString
	
	^ districts anySatisfy: [ :each | each model name = aString ]! !

!City methodsFor: 'initialize-release' stamp: 'StephaneDucasse 5/14/2012 09:36'!
initialize

	super initialize.
	districts := OrderedCollection new.! !

!City methodsFor: 'accessing' stamp: 'DouailleErwan 4/2/2012 14:38'!
name
	^ name! !

!City methodsFor: 'accessing' stamp: 'DouailleErwan 4/2/2012 14:38'!
name: anObject
	name := anObject! !

!City methodsFor: 'testing' stamp: 'douaille 4/10/2012 09:37'!
printOn: aStream

	model ifNotNil: [ aStream 
					nextPutAll: ' City name : '; 
					nextPutAll: self name].! !

!City methodsFor: 'accessing' stamp: 'StephaneDucasse 5/14/2012 13:21'!
width: anObject
	width := (self defaultCityWidth: anObject).! !

AbstractCityComponent subclass: #District
	instanceVariableNames: 'buildings city'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Core'!

!District commentStamp: '<historical>' prior: 0!
A District is a secondary city abstractions!

!District class methodsFor: 'instance creation' stamp: 'StephaneDucasse 5/14/2012 10:41'!
forPackage: aPackage inCity: aCity

	^ self new 
		model: aPackage
		inCity: aCity
		! !

!District methodsFor: 'printing' stamp: 'StephaneDucasse 5/14/2012 13:07'!
add: aBuilding

	buildings add: aBuilding.
	self width: (buildings inject: 0 into: [:sum :each | sum + each width.]).
	^ aBuilding.! !

!District methodsFor: 'configuration' stamp: 'DouailleErwan 4/3/2012 14:15'!
buildings
	^buildings! !

!District methodsFor: 'accessing' stamp: 'StephaneDucasse 5/14/2012 13:30'!
city
	^city.! !

!District methodsFor: 'accessing' stamp: 'StephaneDucasse 5/14/2012 13:31'!
city: aCity
	city :=  aCity! !

!District methodsFor: 'accessing' stamp: 'StephaneDucasse 5/14/2012 13:25'!
defaultDistrictWidth: size
	^ size sqrt asFloat roundedUp*2 
		! !

!District methodsFor: 'configuration' stamp: 'StephaneDucasse 5/14/2012 09:37'!
initialize 
	
	super initialize.
	buildings := OrderedCollection new.! !

!District methodsFor: 'private' stamp: 'StephaneDucasse 5/14/2012 13:31'!
model: aModel inCity: aCity

	model := aModel.
	city := aCity.
	aCity add: self.! !

!District methodsFor: 'printing' stamp: 'DouailleErwan 5/15/2012 10:21'!
printOn: aStream

	city ifNotNil: [ aStream
					nextPutAll: city asString;
					nextPutAll: '-> '].
					
	model ifNotNil: [ aStream 
					nextPutAll: ' District Name : '; 
					nextPutAll: model name ].! !

!District methodsFor: 'private' stamp: 'StephaneDucasse 5/14/2012 11:35'!
width: anObject
	width := self defaultDistrictWidth: anObject.! !

Object subclass: #CityConfiguration
	instanceVariableNames: 'buildingGap buildingHighColor buildingLowColor buildingMaxHeightColor buildingMediumHeightColor buildingMaxWidthColor cameraXPos cameraYPos cameraZPos cityColor districtColor districtGap glBackground openGL model buildingMediumColor buildingWidthCalcList buildingHeightCalcList'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Core'!

!CityConfiguration commentStamp: '<historical>' prior: 0!
Provides default configuration parameters for Source city GL views. All the default methods provide extension poinits for customizing GL views. If someone wants to describe their own config, default methods can be overriden.!

!CityConfiguration class methodsFor: 'as yet unclassified' stamp: 'DouailleErwan 6/4/2012 16:54'!
default
	^ self new default.! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingGap
	^ buildingGap! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingGap: anObject
	buildingGap := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 5/4/2012 12:22'!
buildingHeightCalcList
	^ buildingHeightCalcList! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 5/4/2012 12:22'!
buildingHeightCalcList: anObject
	buildingHeightCalcList := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingHighColor
	^ buildingHighColor! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingHighColor: anObject
	buildingHighColor := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingLowColor
	^ buildingLowColor! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingLowColor: anObject
	buildingLowColor := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingMaxHeightColor
	^ buildingMaxHeightColor! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingMaxHeightColor: anObject
	buildingMaxHeightColor := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingMaxWidthColor
	^ buildingMaxWidthColor! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingMaxWidthColor: anObject
	buildingMaxWidthColor := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/26/2012 10:47'!
buildingMediumColor
	^ buildingMediumColor! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/26/2012 10:47'!
buildingMediumColor: anObject
	buildingMediumColor := anObject! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/5/2012 10:36'!
buildingMediumHeightCalcColor
	^50! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/26/2012 10:22'!
buildingMediumHeightColor
	^ buildingMediumHeightColor! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/26/2012 10:22'!
buildingMediumHeightColor: anObject
	buildingMediumHeightColor := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 5/4/2012 12:22'!
buildingWidthCalcList
	^buildingWidthCalcList! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 5/4/2012 12:22'!
buildingWidthCalcList: anObject
	buildingWidthCalcList := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
cameraXPos
	^ cameraXPos! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
cameraXPos: anObject
	cameraXPos := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
cameraYPos
	^ cameraYPos! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
cameraYPos: anObject
	cameraYPos := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
cameraZPos
	^ cameraZPos! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
cameraZPos: anObject
	cameraZPos := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
cityColor
	^ cityColor! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
cityColor: anObject
	cityColor := anObject! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/5/2012 10:46'!
default
		self 
			cityColor: self defaultCityColor ;
			districtColor: self defaultDistrictColor;
			districtGap: self defaultDistrictGap;
			buildingLowColor: self defaultBuildingLowColor;
			buildingMediumColor: self defaultBuildingMediumColor;
			buildingHighColor: self defaultBuildingHighColor;	
			buildingGap: self defaultBuildingGap;
			buildingMediumHeightColor: self defaultBuildingMediumHeightCalcColor;
			buildingMaxHeightColor: self defaultBuildingMaxHeightCalcColor;
			buildingMaxWidthColor: self defaultBuildingMaxWidthColor;
			buildingHeightCalcList: self defaultBuildingHeightCalcList;
			buildingWidthCalcList: self defaultBuildingWidthCalcList;
			glBackground: self defaultGlBackground;
			"glAAList: self defaultGlAAList;
			glPerspectiveList: self defaultGlPerspectiveList;"
			cameraXPos: self defaultCameraXPos;
			cameraYPos: self defaultCameraYPos;
			cameraZPos: self defaultCameraZPos;
			model: self defaultModel.! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:34'!
defaultBuildingGap
	^2! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/5/2012 10:44'!
defaultBuildingHeightCalcList
	^ 'none'! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:35'!
defaultBuildingHighColor
	^Color red! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:35'!
defaultBuildingLowColor
	^ Color blue! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/5/2012 10:38'!
defaultBuildingMaxHeightCalcColor
	^50! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:35'!
defaultBuildingMaxHeightColor
	^10! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:35'!
defaultBuildingMaxWidthColor
	^5! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:35'!
defaultBuildingMediumColor
	^ 5! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/5/2012 10:38'!
defaultBuildingMediumHeightCalcColor
	^20! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:36'!
defaultBuildingMediumHeightColor
	^5! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/5/2012 10:45'!
defaultBuildingWidthCalcList
	^ 'none'! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:36'!
defaultCameraXPos
 	^-196! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:36'!
defaultCameraYPos
	^ -15! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:36'!
defaultCameraZPos
	^0! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/5/2012 10:53'!
defaultCityColor
	^Color r: 0.8 g: 0.8 b: 0.8! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/4/2012 16:56'!
defaultDistrictColor
	^Color gray! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:37'!
defaultDistrictGap
	^2! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:37'!
defaultGlBackground
	^Color white! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/5/2012 10:47'!
defaultModel
	^#()! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:43'!
defaultOpenGL! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
districtColor
	^ districtColor! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
districtColor: anObject
	districtColor := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
districtGap
	^ districtGap! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
districtGap: anObject
	districtGap := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 5/11/2012 16:20'!
glAAList
	^ glAAList! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 5/11/2012 16:20'!
glAAList: anObject
	glAAList := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
glBackground
	^ glBackground! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
glBackground: anObject
	glBackground := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 5/11/2012 16:20'!
glPerspectiveList
	^ glPerspectiveList! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 5/11/2012 16:20'!
glPerspectiveList: anObject
	glPerspectiveList := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 16:33'!
model
	^ model! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 16:33'!
model: anObject
	model := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
openGL
	^ openGL! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
openGL: anObject
	openGL := anObject! !

TestCase subclass: #BuildingTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Core'!

!BuildingTest methodsFor: 'tests' stamp: 'DouailleErwan 5/15/2012 10:24'!
testHeightMetricsConfig
	"self debug: #testMetricsConfig"
	
	| p d c |
	c := CityImporter new.
	c cityNamed: 'CodCT' withPackageNames: #('AST-Core').
	
	self assert: c city districts size =1.
	self assert: (c city districts at: 1)buildings size =2.
	
	self assert: (c city districts at:1) width = 2.! !

!BuildingTest methodsFor: 'tests' stamp: 'DouailleErwan 5/15/2012 10:23'!
testWidthMetricsConfig
	"self debug: #testMetricsConfig"
	
	| p d c |
	c := CityImporter new.
	c cityNamed: 'CodCT' withPackageNames: #('AST-Core').
	
	self assert: c city districts size =1.
	self assert: (c city districts at: 1)buildings size = 2.! !

TestCase subclass: #DistrictTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Core'!

!DistrictTest methodsFor: 'tests' stamp: 'DouailleErwan 5/15/2012 10:22'!
testMetricsConfig
	"self debug: #testMetricsConfig"
	
	| p d c |
	c := CityImporter new.
	c cityNamed: 'CodCT' withPackageNames: #('AST-Core').
	self assert: c city districts size =1.! !
